"""Airzone MQTT API constants."""

from datetime import timedelta
from typing import Final
from zoneinfo import ZoneInfo

AMT_EVENTS: Final[str] = "events"
AMT_INVOKE: Final[str] = "invoke"
AMT_ONLINE: Final[str] = "online"
AMT_REQUEST: Final[str] = "request"
AMT_RESPONSE: Final[str] = "response"
AMT_STATUS: Final[str] = "status"
AMT_V1: Final[str] = "v1"

API_AIR_ACTIVE: Final[str] = "air_active"
API_AZ_GET_STATUS: Final[str] = "az.get_status"
API_AZ_SYSTEM: Final[str] = "az_system"
API_AZ_ZONE: Final[str] = "az_zone"
API_BODY: Final[str] = "body"
API_CMD: Final[str] = "cmd"
API_DESTINATION: Final[str] = "destination"
API_DEVICE_ID: Final[str] = "device_id"
API_DEVICE_TYPE: Final[str] = "device_type"
API_DEVICES: Final[str] = "devices"
API_HEADERS: Final[str] = "headers"
API_HUMIDITY: Final[str] = "humidity"
API_IS_CONNECTED: Final[str] = "is_connected"
API_MAX: Final[str] = "max"
API_MIN: Final[str] = "min"
API_META: Final[str] = "meta"
API_MODE: Final[str] = "mode"
API_MODE_AVAILABLE: Final[str] = "mode_available"
API_NAME: Final[str] = "name"
API_ONLINE: Final[str] = "online"
API_PARAMETERS: Final[str] = "parameters"
API_POWER: Final[str] = "power"
API_RAD_ACTIVE: Final[str] = "rad_active"
API_RANGE_SP: Final[str] = "range_sp"
API_REQ_ID: Final[str] = "req_id"
API_SETPOINT: Final[str] = "setpoint"
API_STEP: Final[str] = "step"
API_SYSTEM_ID: Final[str] = "system_id"
API_TS: Final[str] = "ts"
API_UNITS: Final[str] = "units"
API_ZONE_WORK_TEMP: Final[str] = "zone_work_temp"

AZD_ACTIVE: Final[str] = "active"
AZD_AIR_ACTIVE: Final[str] = "air-active"
AZD_DEVICE_ID: Final[str] = "device-id"
AZD_HUMIDITY: Final[str] = "humidity"
AZD_ID: Final[str] = "id"
AZD_IS_CONNECTED: Final[str] = "is-connected"
AZD_MODE: Final[str] = "mode"
AZD_MODE_AVAILABLE: Final[str] = "mode-available"
AZD_NAME: Final[str] = "name"
AZD_ONLINE: Final[str] = "online"
AZD_POWER: Final[str] = "power"
AZD_RAD_ACTIVE: Final[str] = "rad-active"
AZD_SETPOINT: Final[str] = "setpoint"
AZD_SETPOINT_MAX: Final[str] = "setpoint-max"
AZD_SETPOINT_MIN: Final[str] = "setpoint-min"
AZD_STEP: Final[str] = "step"
AZD_SYSTEM_ID: Final[str] = "system-id"
AZD_SYSTEMS: Final[str] = "systems"
AZD_UNITS: Final[str] = "units"
AZD_ZONE_WORK_TEMP: Final[str] = "zone-work-temp"
AZD_ZONES: Final[str] = "zones"

EVENTS_TIMEOUT: Final[timedelta] = timedelta(minutes=15)
MQTT_TIMEOUT: Final[int] = 15
POLL_TIMEOUT: Final[int] = 10

TZ_UTC: Final[ZoneInfo] = ZoneInfo("UTC")
